PySide-Python-Logo-MeeGo-Experts-Logo-LRG
PySide 1.0 for MeeGo was released today. In order to use install it properly it requires a Qt update as detailed below. PySide 1.0 is now fully functional on MeeGo, all major Linux distributions, Maemo 5, Mac OS X and Windows.

PySide Binaries for MeeGo

IMPORTANT INFO: These packages are generated using MeeGo OBS [build.meego.com] facilities. The latest MeeGo image (v1.1.2 for netbook, handset andQEMU) provides Qt 4.7.0 but OBS builds using Qt 4.7.2. This leads to undefined symbol errors while loading PySide modules. To update your MeeGo Qt packages it is possible to use Zypper and this repository:

 

1
2
3
4
5
6
# This will add a new repository with Qt4.7.2 available
sudo zypper addrepo http://repo.meego.com/MeeGo/builds/1.1.90/latest/repos/oss/ia32/packages/ meego-update
# here it will update the entire Qt
sudo zypper in libqt-devel
# here we remove the new repo to avoid accidentally updating other packages than Qt
sudo zypper rr meego-update

Now that Qt4.7.2 is properly installed into your system lets install PySide. It is available from Renato’s trunk [download.meego.com] . Again the new repository will be added using Zypper:

 

 

1
2
3
4
# Adds the PySide repository
sudo zypper addrepo http://download.meego.com/live/home:/renatofilho/Trunk/ pyside
# after adding the repository, install PySide
sudo zypper install python-pyside

 
Source[Pyside]